Xeonr Developer Docs
UplApiUploads

Get upload breakdown

POST
/uplim.api.v1.BucketUploadsService/GetUploadBreakdown

Retrieves a breakdown of uploads by month and year, including counts and total size.

Authorization

OAuth2 upl:bucket:read
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:read

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&

Reference to the bucket to list uploads from

path?string|null

Optional path to filter breakdown

Lengthlength <= 4096
tags?tags

Optional tags to filter the breakdown

Itemsitems <= 1000
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/GetUploadBreakdown" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "breakdowns": [
    {
      "month": 0,
      "year": 0,
      "uploadCount": 0,
      "sizeBytes": "string"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}